<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><title>TextGridLab Workflow Component</title>

<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Martin Haase / DAASI International" name="DC.creator" />
<meta content="2009-07-22T16:20:32.67" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8" type="text/css" />
</head>
<body>
<h1 id="toc0">Workflow Component</h1>

<P>Workflows are useful when a certain process (i.e. an ordering of
tasks) is to be made repeatable and permanent. In TextGrid, workflows
can be applied to a list of TextGridObjects that are to be processed
in a batch. A second use is for Web Services that are to be made
accessible in the TextGridLab, which, however, do not have their own
graphical user interface (GUI). These services can be specified in a
workflow and be enacted upon execution of the workflow.</P>

<h1 id="toc4">Contents</h1>
<ul>
<li> <a href="overview.html">Overview of the Workflow Component</a> </li>
<li> <a href="GUI.html">Using the Workflow perspective</a> </li>
<li> <a href="background.html">Background information</a> </li>
</ul>
</body></html>